SNMP::walk
Sockets
SNMP
PHP Manual

# The SNMPException class

(PHP 5 >= 5.4.0)

## Introduction

Represents an error raised by SNMP. You should not throw a SNMPException from your own code. See Exceptions for more information about Exceptions in PHP.

## Class synopsis

SNMPException extends RuntimeException {
/* Properties */
protected string $code ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

code

  SNMPlibrary error code. Use Exception::getCode() to access it.

SNMP::walk
Sockets
SNMP
PHP Manual